version 9.0
set more off
capture log close
log using "C:\fd-data\pretests.log", replace
use "C:\fd-data\fd-cross.dta", clear
* *** analysis of variance
sum feddummy fedtype fedlijp fedkeman fedtreis fedgth fedmadx pcgrants dezrev2 dezrev3 dezrev4 borrauton hbc snadm dezrev1 pcsnborr fimb1 fimb2 grants dezexp
sum pcdef pcpord pcedu pchealth pcsoc pchous pcrec pcecon pcagri pctcom pcenv
sum def pord edu health soc hous rec econ agri tcom env
sum tradebal10 incineq1 incineq2 incineq3 pop area popdens ethnic religion hdi02 urban legeng legfren legger legscan democ medage polisys
sum hdi02, detail
sum gdpppp94 gdpppp03 growth10 unemp10 infl10 govsize10 socexp10 budgdef10
sum police teacher pisa librarians econ1 roads envimp /* gem_rtax gem_psupp gem_infr - gem data removed from the dataset due to copyright reasons*/
* *** analysis of correlations
* * federalism
corr feddummy fedlijp fedgth fedmadx
corr feddummy fedkeman fedgth fedmadx
corr feddummy fedtreis fedgth fedmadx
corr feddummy fedgth fedmadx
corr fedlijp fedkeman
* corr feddummy fedtype fedlijp fedkeman fedtreis fedgth fedmadx
* * decentralization
corr dezrev1 dezrev2
corr dezrev1 dezrev3
corr dezrev1 dezrev4
corr dezrev1 snadm
corr dezrev1 dezexp
corr dezexp dezrev2
corr dezexp dezrev3
corr dezexp dezrev4
corr dezexp snadm
corr dezrev2 snadm
corr dezrev3 snadm
corr dezrev4 snadm
corr dezrev2 dezrev3
corr dezrev2 dezrev4
corr dezrev3 dezrev4
* * federalism, decentralization
corr feddummy fedgth fedmadx dezrev2
corr feddummy fedgth fedmadx dezrev3
corr feddummy fedgth fedmadx dezrev4
corr feddummy fedgth fedmadx snadm
corr feddummy fedgth fedmadx dezrev1
corr feddummy fedgth fedmadx dezexp
corr fedlijp dezrev2
corr fedlijp dezrev3
corr fedlijp dezrev4
corr fedlijp snadm
corr fedlijp dezrev1
corr fedlijp dezexp
corr fedkeman dezrev2
corr fedkeman dezrev3
corr fedkeman dezrev4
corr fedkeman snadm
corr fedkeman dezrev1
corr fedkeman dezexp
corr fedtreis dezrev2
corr fedtreis dezrev3
corr fedtreis dezrev4
corr fedtreis snadm
corr fedtreis dezrev1
corr fedtreis dezexp
* * scatterplots
scatter dezrev2 feddummy ,mlabel(lab) xlabel(.2666667, grid) ylabel(.2057895, grid) graphregion(margin(large))
save scatter1.gph, replace
scatter dezrev2 fedlijp ,mlabel(lab) xlabel(.1173913, grid) ylabel(.2057895, grid) graphregion(margin(large))
save scatter2.gph, replace
scatter dezrev2 fedkeman ,mlabel(lab) xlabel(-.0011111, grid) ylabel(.2057895, grid) graphregion(margin(large))
save scatter3.gph, replace
scatter dezrev2 fedtreis ,mlabel(lab) xlabel(.3448276, grid) ylabel(.2057895, grid) graphregion(margin(large))
save scatter4.gph, replace
scatter dezrev2 fedgth ,mlabel(lab) xlabel(3.8, grid) ylabel(.2057895, grid) graphregion(margin(large))
save scatter5.gph, replace
scatter dezrev2 fedmadx ,mlabel(lab) xlabel(1.5, grid) ylabel(.2057895, grid) graphregion(margin(large))
save scatter6.gph, replace
*
scatter dezrev3 feddummy ,mlabel(lab) xlabel(.2666667, grid) ylabel(.0925, grid) graphregion(margin(large))
save scatter7.gph, replace
scatter dezrev3 fedlijp ,mlabel(lab) xlabel(.1173913, grid) ylabel(.0925, grid) graphregion(margin(large))
save scatter8.gph, replace
scatter dezrev3 fedkeman ,mlabel(lab) xlabel(-.0011111, grid) ylabel(.0925, grid) graphregion(margin(large))
save scatter9.gph, replace
scatter dezrev3 fedtreis ,mlabel(lab) xlabel(.3448276, grid) ylabel(.0925, grid) graphregion(margin(large))
save scatter10.gph, replace
scatter dezrev3 fedgth ,mlabel(lab) xlabel(3.8, grid) ylabel(.0925, grid) graphregion(margin(large))
save scatter11.gph, replace
scatter dezrev3 fedmadx ,mlabel(lab) xlabel(1.5, grid) ylabel(.0925, grid) graphregion(margin(large))
save scatter12.gph, replace
*
scatter dezrev4 feddummy ,mlabel(lab) xlabel(.2666667, grid) ylabel(.0362222, grid) graphregion(margin(large))
save scatter13.gph, replace
scatter dezrev4 fedlijp ,mlabel(lab) xlabel(.1173913, grid) ylabel(.0362222, grid) graphregion(margin(large))
save scatter14.gph, replace
scatter dezrev4 fedkeman ,mlabel(lab) xlabel(-.0011111, grid) ylabel(.0362222, grid) graphregion(margin(large))
save scatter15.gph, replace
scatter dezrev4 fedtreis ,mlabel(lab) xlabel(.3448276, grid) ylabel(.0362222, grid) graphregion(margin(large))
save scatter16.gph, replace
scatter dezrev4 fedgth ,mlabel(lab) xlabel(3.8, grid) ylabel(.0362222, grid) graphregion(margin(large))
save scatter17.gph, replace
scatter dezrev4 fedmadx ,mlabel(lab) xlabel(1.5, grid) ylabel(.0362222, grid) graphregion(margin(large))
save scatter18.gph, replace
*
scatter snadm feddummy ,mlabel(lab) xlabel(.2666667, grid) ylabel(.5230769, grid) graphregion(margin(large))
save scatter19.gph, replace
scatter snadm fedlijp ,mlabel(lab) xlabel(.1173913, grid) ylabel(.5230769, grid) graphregion(margin(large))
save scatter20.gph, replace
scatter snadm fedkeman ,mlabel(lab) xlabel(-.0011111, grid) ylabel(.5230769, grid) graphregion(margin(large))
save scatter21.gph, replace
scatter snadm fedtreis ,mlabel(lab) xlabel(.3448276, grid) ylabel(.5230769, grid) graphregion(margin(large))
save scatter22.gph, replace
scatter snadm fedgth ,mlabel(lab) xlabel(3.8, grid) ylabel(.5230769, grid) graphregion(margin(large))
save scatter23.gph, replace
scatter snadm fedmadx ,mlabel(lab) xlabel(1.5, grid) ylabel(.5230769, grid) graphregion(margin(large))
save scatter24.gph, replace
*
scatter dezrev1 feddummy ,mlabel(lab) xlabel(.2666667, grid) ylabel(.1680599, grid) graphregion(margin(large))
save scatter25.gph, replace
scatter dezrev1 fedlijp ,mlabel(lab) xlabel(.1173913, grid) ylabel(.1680599, grid) graphregion(margin(large))
save scatter26.gph, replace
scatter dezrev1 fedkeman ,mlabel(lab) xlabel(-.0011111, grid) ylabel(.1680599, grid) graphregion(margin(large))
save scatter27.gph, replace
scatter dezrev1 fedtreis ,mlabel(lab) xlabel(.3448276, grid) ylabel(.1680599, grid) graphregion(margin(large))
save scatter28.gph, replace
scatter dezrev1 fedgth ,mlabel(lab) xlabel(3.8, grid) ylabel(.1680599, grid) graphregion(margin(large))
save scatter29.gph, replace
scatter dezrev1 fedmadx ,mlabel(lab) xlabel(1.5, grid) ylabel(.1680599, grid) graphregion(margin(large))
save scatter30.gph, replace
*
scatter dezexp feddummy ,mlabel(lab) xlabel(.2666667, grid) ylabel(.2799743, grid) graphregion(margin(large))
save scatter31.gph, replace
scatter dezexp fedlijp ,mlabel(lab) xlabel(.1173913, grid) ylabel(.2799743, grid) graphregion(margin(large))
save scatter32.gph, replace
scatter dezexp fedkeman ,mlabel(lab) xlabel(-.0011111, grid) ylabel(.2799743, grid) graphregion(margin(large))
save scatter33.gph, replace
scatter dezexp fedtreis ,mlabel(lab) xlabel(.3448276, grid) ylabel(.2799743, grid) graphregion(margin(large))
save scatter34.gph, replace
scatter dezexp fedgth ,mlabel(lab) xlabel(3.8, grid) ylabel(.2799743, grid) graphregion(margin(large))
save scatter35.gph, replace
scatter dezexp fedmadx ,mlabel(lab) xlabel(1.5, grid) ylabel(.2799743, grid) graphregion(margin(large))
save scatter36.gph, replace
* * gdp, hdi
corr gdpppp94 gdpppp03
corr gdpppp94 hdi02
corr gdpppp03 hdi02
* * dependent variables
corr teacher pisa
*corr roads gem_rtax
*corr roads gem_psupp
*corr roads gem_infr
*corr gem_rtax gem_psupp
*corr gem_rtax gem_infr
*corr gem_psupp gem_infr
log close

